<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Installationsskript
 */


// includes
require("../settings/admin.php");
require("../settings/php.php");
require("../classes/class.ctlVar.php");
require("../classes/class.db.php");
require("../classes/class.out.php");
require("../classes/class.phpmailer.php");
require("../classes/class.settings.php");
require("../includes/functions.php");
require("../includes/funcOutput.php");

$myDB  = new db($server, $username, $pass, $dbase, $prefix, $MySQL_Ver);
$out   = new out( "  ", 0 );
$settings = new settings( $myDB, TRUE );
$settings->standardStyle = "../styles/style01.css";
$settings->browserTitel = "Filmverwaltung mit PHP &amp; MySQL";
$myVar = new ctlVar($settings,$myDB,$COOCKIES_ACTIVE,TRUE);


//$myVar->crtlGetPostData( $myDB, $settings );
$out->startBuffer();

if ( isset($_REQUEST['sent']) )
{
        // neue Tabellen erstellen
        if (!isset($insert)) {
        $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES
        ('ModTonText', FALSE)";
        $rs = $myDB->go($sql);
        }
        if (!isset($InstRes) && isset($_REQUEST['Reservierung'])) {
        $sql = "ALTER TABLE $myDB->RESERVIERUNG ADD AdminMessage INT( 10 ) UNSIGNED NOT NULL DEFAULT '0'";
        $rs = $myDB->go($sql);
        }
        if (!isset($_REQUEST['Reservierung'])) {
        $sql = "CREATE TABLE IF NOT EXISTS $myDB->RESERVIERUNG (FILME_FilmID int(10) unsigned NOT NULL, USERS_UserID int(10) unsigned NOT NULL default 0, reserviertAm date NOT NULL default '0000-00-00', AdminMessage INT( 10 ) UNSIGNED NOT NULL DEFAULT 0, PRIMARY KEY  (FILME_FilmID, USERS_UserID))";
        $rs = $myDB->go($sql);
        }
        if (!isset($insert_FSK)) {
        $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES
        ('ModFSK', TRUE)";
        $rs = $myDB->go($sql);
        }


    if ( count( $myVar->warnung ) )
        unset($_REQUEST['sent']);
}


// Hier werden Ausgaben fr das Men gemacht
printHeader( $settings );
echo "<div id=\"seite\">";
printTopLogin( $myVar, $settings );


echo "<div id=\"untermenu\">";
echo "<ul>";
echo "<li>";
echo "<a href=\"../\">zum Loginformular</a>";
echo "</li>";
echo "</ul>";
echo "</div>";


if ( count( $myVar->warnung ) )
{
    echo "<ul class=\"message\" style=\"background-color:#f88\">";
    for ( $i=0; $i<count( $myVar->warnung ); ++$i )
        echo "<li>".$myVar->warnung[$i]."</li>";
    echo "</ul>";
}

if ( count( $myVar->hinweis ) )
{
    echo "<ul class=\"message\" style=\"background-color:#ffa\">";
    for ( $i=0; $i<count( $myVar->hinweis ); ++$i )
        echo "<li>".$myVar->hinweis[$i]."</li>";
    echo "</ul>";
}


echo "<div id=\"inhalt\">";
$sql = "SHOW TABLES FROM $dbase";
$rs = $myDB->go($sql);
while ( $row = $myDB->getRow($rs)) {
   if ( $row[Tables_in_.$dbase] == $myDB->FILME_TON_SPRACHE  )
      $noInstTon="1";
}

$sql = "SELECT * FROM $myDB->RESERVIERUNG LIMIT 1";
$rs = $myDB->go($sql);
$row = $myDB->getRow($rs);

if ($row['AdminMessage'] == "") {
   $InstRes="1";
}
$sql = "SELECT Variable FROM $myDB->SETTINGS WHERE Variable = 'ModFSK'";
$rs = $myDB->go($sql);
$row = $myDB->getRow($rs);
if ($row['Variable'] == ModFSK) {
   $insert_FSK="1";
}
if (!isset($InstRes) || !isset($insert_FSK)) {
    echo "<p></p>";
    echo "<h2>INSTALLATIONSVERZEICHNIS VOM SERVER L&Ouml;SCHEN!</h2>";
    echo "Keine Installation bzw. Update ntig, da bereits die aktuellste Datenbankversion installiert ist.<br/>";
} else {
if ( !isset($_REQUEST['sent']) || count( $myVar->warnung ) )
{
    echo "<p><h2>Installationsskript des Mods: Tondetails</h2></p>";
    $sql = "SELECT VERSION() AS version";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    echo "<p>MySQL-Version ist: ".$row['version'];
    if ( (float)$row['version'] < 4.1 ) {
        echo "<br />Es scheint so, als ob es eine alte Version ist. Beachte den Eintrag in der Datei 'admin.php'! Sonst kommt es zu Fehlermeldungen.";
    }
    echo "</p>";
    echo "<p><b>VOR DEM AUSFHREN DIESES SKRIPTES EINE SICHERHEITSKOPIE DER DATENBANK MACHEN !</b><br/><br/>Diese Script nimmt automatisch die ntigen nderungen in der Datanbank vor.  Es werden neue Tabellen erstellt, sowie eventuell vorhandene Tabellen abgendert. ";
    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<p>";
    $sql = "SHOW TABLES FROM $dbase";
    $rs = $myDB->go($sql);
    while ( $row = $myDB->getRow($rs)) {

       if ( $row[Tables_in_.$dbase] == $myDB->RESERVIERUNG  ) {
       	  echo "Die Reservierung ist bereits vorhanden, falls ntig wird diese Version aktualisiert.";
          echo "<input type=\"hidden\" name=\"Reservierung\" value=\"1\" />";

          $sql2 = "SELECT * FROM $myDB->RESERVIERUNG LIMIT 1";
          $rs2 = $myDB->go($sql2);
          $row2 = $myDB->getRow($rs2);
 
          if ($row2['AdminMessage'] == "") {
              $InstRes="1";
          }
       }

    }
    $sql = "SELECT Variable FROM $myDB->SETTINGS WHERE Variable = 'ModFSK'";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ($row['Variable'] == ModFSK) {
       $insert_FSK="1";
    }

    echo "</p>";
    echo "<table>";
    echo "<tr>";
    echo "</table>";
    echo "<p><input type=\"hidden\" name=\"sent\" value=\"1\" /></p>";
    echo "<p style=\"margin-top:2em\"><input class=\"buttonSubmit\" type=\"submit\" name=\"sent\" value=\"Mod installieren\" /></p>";
    echo "</form>";
}
else
{
    echo "<p>Falls kein Fehler aufgetreten ist:</p>";
    echo "<h2>INSTALLATIONSVERZEICHNIS VOM SERVER L&Ouml;SCHEN!</h2>";
    $sql = "SHOW TABLES FROM $dbase";
    $rs = $myDB->go($sql);
    echo "<p>";
    while ( $row = $myDB->getRow($rs)) {
      if ( $row[Tables_in_.$dbase] == $myDB->RESERVIERUNG  ) {
          if (isset($_REQUEST['Reservierung'])) {
             echo "Die Tabelle Reservierung war bereits vorhanden !<br/>";
             if (isset($InstRes)) {
                 echo "Der Eintrag AdminMessage wurde in die Tabelle Reservierung fr den neuen Cronjob hinzugefgt.<br/>";
             }
          } else {
             echo "Die Tabelle Reservierung wurde erfolgreich in die Datenbank eingefgt !<br/>";
          }
       }

    }
    $sql = "SELECT Variable FROM $myDB->SETTINGS WHERE Variable = 'ModFSK'";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ($row['Variable'] == ModFSK && !isset($insert_FSK)) {
        echo "Der Admineintrag fr die grafische FSK Anzeige wurde gesetzt !<br/>";
    } else {
        echo "Der Admineintrag fr die grafische FSK Anzeige war bereits vorhanden !<br/>";
    }
}
}
echo "</div>";
/*
 * COPYRIGHT-HINWEISE DRFEN NICHT VERNDERT WERDEN!
 * LINKS AUF WWW.DER-DOMI.DE MSSEN BESTEHEN BLEIBEN!
 */
printFootline($settings);
echo "</div>";
echo "</body></html>";


$out->put( $out->endBuffer() );


?>
